aboutsummaryrefslogtreecommitdiff
path: root/bash
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-01-17 23:23:36 -0300
committerEuAndreh <eu@euandre.org>2021-01-17 23:23:36 -0300
commitb1f864b34c93eec25ab3231a469e0e48d37c411d (patch)
treeba862b8804490b5f7f184dcfd89b573cd4df8604 /bash
parentscripts/post.sh: Add trailing newline (diff)
downloaddotfiles-b1f864b34c93eec25ab3231a469e0e48d37c411d.tar.gz
dotfiles-b1f864b34c93eec25ab3231a469e0e48d37c411d.tar.xz
Split sheband line from shell options
Diffstat (limited to 'bash')
-rwxr-xr-xbash/templates/build-aux/assert-shellcheck.sh5
-rwxr-xr-xbash/templates/build-aux/assert-todos.sh3
-rwxr-xr-xbash/templates/build-aux/ci/ci-build.sh3
-rwxr-xr-xbash/templates/build-aux/ci/git-post-receive.sh3
-rwxr-xr-xbash/templates/build-aux/ci/git-pre-push.sh.in3
-rwxr-xr-xbash/templates/build-aux/compile-readme.sh3
-rw-r--r--bash/templates/build-aux/git-notes-release.sh3
-rwxr-xr-xbash/templates/build-aux/texinfo-build-web-assets.sh3
-rwxr-xr-xbash/templates/build-aux/with-container.sh3
-rwxr-xr-xbash/templates/build-aux/workflow/TODOs.sh3
-rw-r--r--bash/templates/cronjob-with-email.sh3
11 files changed, 23 insertions, 12 deletions
diff --git a/bash/templates/build-aux/assert-shellcheck.sh b/bash/templates/build-aux/assert-shellcheck.sh
index d07815b4..334a8750 100755
--- a/bash/templates/build-aux/assert-shellcheck.sh
+++ b/bash/templates/build-aux/assert-shellcheck.sh
@@ -1,5 +1,6 @@
-#!/bin/sh -eux
+#!/bin/sh
+set -eux
git ls-files -z | \
- xargs -0 awk 'FNR==1 && /^#!\/bin\/sh/ { print FILENAME }' | \
+ xargs -0 awk 'FNR==1 && /^#!\/bin\/sh$/ { print FILENAME }' | \
xargs shellcheck
diff --git a/bash/templates/build-aux/assert-todos.sh b/bash/templates/build-aux/assert-todos.sh
index ce6c95bf..91015fe3 100755
--- a/bash/templates/build-aux/assert-todos.sh
+++ b/bash/templates/build-aux/assert-todos.sh
@@ -1,4 +1,5 @@
-#!/bin/sh -eu
+#!/bin/sh
+set -eu
if git grep FIXME | grep -v '^TODOs.md' | grep -v '^build-aux/assert-todos.sh' | grep -v '^build-aux/docbook-xsl/'; then
echo "Found dangling FIXME markers on the project."
diff --git a/bash/templates/build-aux/ci/ci-build.sh b/bash/templates/build-aux/ci/ci-build.sh
index 62e0f223..93c9ee10 100755
--- a/bash/templates/build-aux/ci/ci-build.sh
+++ b/bash/templates/build-aux/ci/ci-build.sh
@@ -1,4 +1,5 @@
-#!/bin/sh -eux
+#!/bin/sh
+set -eux
PACKAGE="$1"
LOGS_DIR="$2"
diff --git a/bash/templates/build-aux/ci/git-post-receive.sh b/bash/templates/build-aux/ci/git-post-receive.sh
index c78f1aca..2f6e3c0b 100755
--- a/bash/templates/build-aux/ci/git-post-receive.sh
+++ b/bash/templates/build-aux/ci/git-post-receive.sh
@@ -1,4 +1,5 @@
-#!/bin/sh -eu
+#!/bin/sh
+set -eu
for n in $(seq 0 $((GIT_PUSH_OPTION_COUNT - 1))); do
opt="$(eval "echo \$GIT_PUSH_OPTION_$n")"
diff --git a/bash/templates/build-aux/ci/git-pre-push.sh.in b/bash/templates/build-aux/ci/git-pre-push.sh.in
index d102d60d..dbadd1c7 100755
--- a/bash/templates/build-aux/ci/git-pre-push.sh.in
+++ b/bash/templates/build-aux/ci/git-pre-push.sh.in
@@ -1,4 +1,5 @@
-#!/bin/sh -eux
+#!/bin/sh
+set -eux
PACKAGE="$(basename "$PWD")"
__ENABLE_CI__ LOGS_DIR="/data/ci/$PACKAGE/logs"
diff --git a/bash/templates/build-aux/compile-readme.sh b/bash/templates/build-aux/compile-readme.sh
index 6a20811b..91f60655 100755
--- a/bash/templates/build-aux/compile-readme.sh
+++ b/bash/templates/build-aux/compile-readme.sh
@@ -1,4 +1,5 @@
-#!/bin/sh -eux
+#!/bin/sh
+set -eux
pandoc -s \
--metadata title="$1 - EuAndreh" \
diff --git a/bash/templates/build-aux/git-notes-release.sh b/bash/templates/build-aux/git-notes-release.sh
index 487f200c..4d55645d 100644
--- a/bash/templates/build-aux/git-notes-release.sh
+++ b/bash/templates/build-aux/git-notes-release.sh
@@ -1,4 +1,5 @@
-#!/bin/sh -eux
+#!/bin/sh
+set -eux
DIST_ARCHIVES="$1"
VERSION="$2"
diff --git a/bash/templates/build-aux/texinfo-build-web-assets.sh b/bash/templates/build-aux/texinfo-build-web-assets.sh
index 9980e573..241ebb8f 100755
--- a/bash/templates/build-aux/texinfo-build-web-assets.sh
+++ b/bash/templates/build-aux/texinfo-build-web-assets.sh
@@ -1,4 +1,5 @@
-#!/bin/sh -eux
+#!/bin/sh
+set -eux
PACKAGE="$1"
shift
diff --git a/bash/templates/build-aux/with-container.sh b/bash/templates/build-aux/with-container.sh
index cff282f8..5544d8e8 100755
--- a/bash/templates/build-aux/with-container.sh
+++ b/bash/templates/build-aux/with-container.sh
@@ -1,3 +1,4 @@
-#!/bin/sh -eux
+#!/bin/sh
+set -eux
guix time-machine -C guix/pinned-channels.scm -- environment --pure -C -m guix/manifest.scm -- sh -c "$@"
diff --git a/bash/templates/build-aux/workflow/TODOs.sh b/bash/templates/build-aux/workflow/TODOs.sh
index 58fbd3ca..4a9eb65d 100755
--- a/bash/templates/build-aux/workflow/TODOs.sh
+++ b/bash/templates/build-aux/workflow/TODOs.sh
@@ -1,4 +1,5 @@
-#!/bin/sh -eu
+#!/bin/sh
+set -eu
mkdir -p public
diff --git a/bash/templates/cronjob-with-email.sh b/bash/templates/cronjob-with-email.sh
index 9f6e0ac3..b486ce52 100644
--- a/bash/templates/cronjob-with-email.sh
+++ b/bash/templates/cronjob-with-email.sh
@@ -1,4 +1,5 @@
-#!/bin/sh -eux
+#!/bin/sh
+set -eux
LOG_FILE="$(mktemp)"
{
finish() {